# H460P_Presentity Class Reference

`#include <h460pres.h>`

Collaboration diagram for H460P_Presentity:

[legend]

## Public Types

| e_display
| e_geolocation
| e_genericData
enum | OptionalFields { e_display, e_geolocation, e_genericData }

## Public Member Functions

| H460P_Presentity (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H460P_PresenceState | m_state
PASN_BMPString | m_display
PASN_OctetString | m_geolocation
H460P_ArrayOf_GenericData | m_genericData

## Member Enumeration Documentation

enum H460P_Presentity::OptionalFields

Enumerator:

  e_display |
  e_geolocation |
  e_genericData |

## Constructor & Destructor Documentation

H460P_Presentity::H460P_Presentity | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H460P_Presentity::Clone | ( |  | ) | const

Comparison H460P_Presentity::Compare | ( | const PObject & | obj | ) | const

PBoolean H460P_Presentity::Decode | ( | PASN_Stream & | strm | ) |

void H460P_Presentity::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H460P_Presentity::GetDataLength | ( |  | ) | const

void H460P_Presentity::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

PASN_BMPString H460P_Presentity::m_display

H460P_ArrayOf_GenericData H460P_Presentity::m_genericData

PASN_OctetString H460P_Presentity::m_geolocation

H460P_PresenceState H460P_Presentity::m_state

The documentation for this class was generated from the following file:

- h460pres.h